Cyberduck Mountain Duck CLI

#4536 closed defect (fixed)

Crash opening Info window

Reported by: anonymous Owned by: dkocher
Priority: high Milestone: 3.5.1
Component: core Version: 3.5
Severity: major Keywords:
Cc: Architecture: PPC
Platform: Mac OS X 10.6

Description

Try to get some information about folders. With cmd + i or Menu - Information cyberduck crashes / does not working (spinning beachball).

Try it on different FTP Servers.

Attachments (1)

JDB_Cyberduck crash info.txt (42.2 KB) - added by John Buehrer <john@…> on Jun 11, 2010 at 7:33:44 AM.

Download all attachments as: .zip

Change History (15)

comment:1 in reply to: ↑ description Changed on Jun 10, 2010 at 7:14:53 PM by anonymous

Replying to anonymous:

Try to get some information about folders. With cmd + i or Menu - Information cyberduck crashes / does not working (spinning beachball).

Try it on different FTP Servers.

Same here! Whenever I try to get info from a uploaded file, Cyberduck crashes :(

comment:2 Changed on Jun 11, 2010 at 2:40:50 AM by dkocher

  • Milestone set to 3.6
  • Priority changed from normal to high
  • Severity changed from normal to major
  • Status changed from new to assigned
  • Summary changed from cmd + i crashes cyberduck to Crash opening Info window

#4532 closed as duplicate.

comment:3 Changed on Jun 11, 2010 at 2:41:18 AM by dkocher

#4545 closed as duplicate.

comment:4 Changed on Jun 11, 2010 at 2:41:48 AM by dkocher

Please report the localization you are using and attach the crash report and any output you can find in the system.log accessible from the Console.app application in /Applications/Utilities.

comment:5 follow-ups: Changed on Jun 11, 2010 at 7:33:14 AM by John Buehrer <john@…>

I also experience this crash with the latest Cyberduck .3.5 (6066). Me too, both with plain FTP and TLS mode. This occurs with a Plesk hosting server, running ProFTPD 1.3.1. Crash report & screen shots enclosed.

This FTP site is known to be a bit flakey - sometimes manual actions via FireFTP fail with obscure permission problems even when the owner logs in. Still, this should not lead to application crashes. If it helps, I can give you a temporary login to this Swiss hosting site (yoursite.ch).

Unrelated topic but still curious - is it expected that Cyberduck has two help menus?

Changed on Jun 11, 2010 at 7:33:44 AM by John Buehrer <john@…>

comment:6 Changed on Jun 11, 2010 at 7:48:07 AM by yla

Please send us a temporary login to feedback@…. Thanks for helping us to sort out this issue.

comment:7 follow-up: Changed on Jun 11, 2010 at 10:11:45 AM by Pete_C

I also get crashes/beachball on Cmd-I or "Get Info" on files, with FTP-SSL.

comment:8 in reply to: ↑ 7 Changed on Jun 11, 2010 at 10:16:07 AM by Pete_C

Okay, that was totally unhelpful of me. I'm using Snow leopard (10.6.3), Cyberduck Version 3.5 (6066). Is it relevant that the server I'm accessing is in Japan?

comment:9 in reply to: ↑ 5 Changed on Jun 11, 2010 at 1:12:45 PM by dkocher

  • Architecture set to Intel

Replying to John Buehrer <john@…>:

Unrelated topic but still curious - is it expected that Cyberduck has two help menus?

Not expected. I cannot see this issue here.

comment:10 in reply to: ↑ 5 Changed on Jun 11, 2010 at 1:24:55 PM by dkocher

  • Architecture changed from Intel to PPC

Replying to John Buehrer <john@…>:

I also experience this crash with the latest Cyberduck .3.5 (6066). Me too, both with plain FTP and TLS mode. This occurs with a Plesk hosting server, running ProFTPD 1.3.1. Crash report & screen shots enclosed.

This FTP site is known to be a bit flakey - sometimes manual actions via FireFTP fail with obscure permission problems even when the owner logs in. Still, this should not lead to application crashes. If it helps, I can give you a temporary login to this Swiss hosting site (yoursite.ch).

Thanks for the login credentials. Unfortunately we can still not reproduce the issue. Can you send us additionally

  • Your preferences in ~/Library/Preferences/ch.sudo.cyberduck.plist
  • The output in system.log from Console.app.

comment:11 Changed on Jun 12, 2010 at 4:06:02 PM by dkocher

Output in system.log shows there is a out of bounds issue in a control.

*** -[NSCFArray objectAtIndex:]: index (-1( or possibly larger)) beyond bounds (4)

comment:12 Changed on Jun 13, 2010 at 2:10:00 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r6084. As a workaround to this issue, open a Terminal.app and paste

defaults write ch.sudo.cyberduck info.toolbar.selected 0

comment:13 Changed on Jun 13, 2010 at 7:36:24 AM by dkocher

Added missing default values in r6088.

comment:14 Changed on Jun 14, 2010 at 1:28:05 PM by dkocher

  • Milestone changed from 3.6 to 3.5.1
Note: See TracTickets for help on using tickets.
swiss made software